<template src="./template.html"></template>
<script lang="ts">
// import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import { api_key_tiny_editor } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
// import axios from "axios";
// import UserModule from "~/store/user";
// import { Store } from "vuex";
@Component({
  components: {},
})
export default class SettingSellerAbandonedCheckoutsStoreComponent extends Vue {
  tab = 0;
  isActive = true;

  get isOpenAbandoned() {
    return this.$store.state.sellerStore.store.store.isOpenAbandoned || false;
  }
  set isOpenAbandoned(val: any) {
    this.$store.commit("sellerStore/setStoreStore", { isOpenAbandoned: val });
  }

  // saveOverview() {
  //   try {
  //     this.$store.dispatch("sellerStore/onUpdateOverview", { ctx: this });
  //   } catch (error) {
  //     apiErrorHandler(error, this);
  //   } finally {
  //     this.$pushNotification.success("Change successfully");
  //   }
  // }
}
</script>
